Bug 222262 - security/ca_root_nss: Add LICENSE_FILE
Summary: security/ca_root_nss: Add LICENSE_FILE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ports Security Team
URL:
Keywords:
Depends on: 248314 250415
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-12 15:47 UTC by Yasuhiro KIMURA
Modified: 2020-10-17 11:50 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ports-secteam)


Attachments
patch file (349 bytes, patch)
2017-09-12 15:47 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (1.48 KB, patch)
2017-09-13 01:29 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (1.43 KB, patch)
2018-03-15 02:22 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (1.42 KB, patch)
2019-02-15 18:37 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (1.32 KB, patch)
2019-02-15 18:44 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (2.30 KB, patch)
2019-02-16 07:10 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2017-09-12 15:47:15 UTC
Created attachment 186302 [details]
patch file

With developer mode 'make check-sanity' warns as following:

yasu@eastasia[3110]% pwd
/usr/ports/security/ca_root_nss
yasu@eastasia[3110]% make check-sanity DEVELOPER=yes
/!\ ca_root_nss-3.32.1: Makefile warnings, please consider fixing /!\

LICENSE must not contain MPL, instead use MPL[10|11|20]

===>  License MPL accepted by the user
yasu@eastasia[3111]% 

Attached patch fixes it.
Comment 1 Yasuhiro KIMURA 2017-09-13 01:29:04 UTC
Created attachment 186313 [details]
updated patch file

* Add "Created by" header.
* Add LICENSE_FILE.
* Remove NO_WRKSUBDIR and do-extract target because there isn't special reason requiring them.

So please commit attached patch instead of original one.
Comment 2 Yasuhiro KIMURA 2018-03-15 02:22:01 UTC
Created attachment 191510 [details]
updated patch file

Update patch to make it fit to latest ports tree. So please commit attached patch instead of previous ones.
Comment 3 Jochen Neumeister freebsd_committer 2019-02-15 18:24:42 UTC
what is the current status?
Does ports-secteam have to be active here?
Comment 4 Yasuhiro KIMURA 2019-02-15 18:37:50 UTC
Created attachment 202046 [details]
Updated patch file

Update patch to make it fit to latest ports tree.
Comment 5 Jochen Neumeister freebsd_committer 2019-02-15 18:41:18 UTC
Add @jbeich to the list.
He keeps this port up-to-date. I would like to hear his opinion.
Comment 6 Yasuhiro KIMURA 2019-02-15 18:44:00 UTC
Created attachment 202048 [details]
Updated patch file

Oops, Created-By header should not be restored.
Comment 7 Jan Beich freebsd_committer 2019-02-16 03:25:58 UTC
Comment on attachment 202048 [details]
Updated patch file

Looks OK to me.

Reviewed by:	jbeich

> +LICENSE_FILE=	${WRKSRC}/nss/COPYING
> -NO_WRKSUBDIR=	yes
> -CERTDATA_TXT_PATH=	nss-${VERSION_NSS}/nss/lib/ckfw/builtins/certdata.txt
> +CERTDATA_TXT_PATH=	nss/lib/ckfw/builtins/certdata.txt

Maybe dedup nss/ via WRKSRC_SUBDIR=nss like security/nss did. Upstream uses a subdirectory because NSS is sometimes distributed with NSPR bundled e.g.,

https://download.cdn.mozilla.net/pub/security/nss/releases/NSS_3_42_1_RTM/src/nss-3.42.1-with-nspr-4.20.tar.gz
Comment 8 Yasuhiro KIMURA 2019-02-16 07:10:24 UTC
Created attachment 202061 [details]
Updated patch file

Reflect Jan's feedback and fix some portlint warnings and stage-qa errors.
Comment 9 commit-hook freebsd_committer 2020-07-23 15:13:32 UTC
A commit references this bug:

Author: joneum
Date: Thu Jul 23 15:13:23 UTC 2020
New revision: 542936
URL: https://svnweb.freebsd.org/changeset/ports/542936

Log:
  - Add LICENSE_FILE.
  - Remove NO_WRKSUBDIR and do-extract target because there isn't special reason requiring them.
  - Some cosmetics fixes

  PR:	222262
  Reported by:	Yasuhiro KIMURA <yasu@utahime.org>
  Approved by:	ports-secteam (with hat)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/security/ca_root_nss/Makefile